using System;
using System.Text;

internal sealed class Delegate877 : MulticastDelegate
{
	public extern StringBuilder Invoke(object object_0);

	public static StringBuilder smethod_0(object object_0, Delegate877 delegate877_1)
	{
		return delegate877_1(object_0);
	}

	public extern Delegate877(object object_0, IntPtr intptr_0);

	static Delegate877()
	{
		Class10.smethod_13(typeof(Delegate877).TypeHandle);
	}

	internal static Delegate877 delegate877_0;
}
